#if WorkItems
using File_Folder_Helper.ADO2024.PI3.WorkItems;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

internal record CreatedBy([property: JsonPropertyName("displayName")] string? DisplayName,
                        [property: JsonPropertyName("url")] string? Url,
                        [property: JsonPropertyName("_links")] Links Links,
                        [property: JsonPropertyName("id")] string? Id,
                        [property: JsonPropertyName("uniqueName")] string? UniqueName,
                        [property: JsonPropertyName("imageUrl")] string? ImageUrl,
                        [property: JsonPropertyName("descriptor")] string? Descriptor);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(CreatedBy))]
internal partial class CreatedBySourceGenerationContext : JsonSerializerContext
{
}
#endif